Require Import connectives.
Require Import leibniz.
Require Import nat.
Parameter mod_aux : nat.nat -> nat.nat -> nat.nat -> nat.nat.
Parameter mod_aux_body : nat.nat -> nat.nat -> nat.nat -> nat.nat.
Axiom axiom_mod_aux : forall (p:nat.nat), connectives.equal (nat.nat -> nat.nat -> nat.nat) (mod_aux p) (nat.filter_nat_type (nat.nat -> nat.nat -> nat.nat) mod_aux_body p).
Definition eq_mod_aux : forall (p:nat.nat), leibniz.leibniz (nat.nat -> nat.nat -> nat.nat) (mod_aux p) (nat.filter_nat_type (nat.nat -> nat.nat -> nat.nat) mod_aux_body p) := fun (p:nat.nat) => ((((connectives.equal_leibniz) (nat.nat -> nat.nat -> nat.nat)) (mod_aux p)) (nat.filter_nat_type (nat.nat -> nat.nat -> nat.nat) mod_aux_body p)) ((axiom_mod_aux) (p)).
